Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint.advised
Class ConnectionAdvised

    java.lang.Object
      org.jboss.jms.server.endpoint.advised.AdvisedSupport
          org.jboss.jms.server.endpoint.advised.ConnectionAdvised

All Implemented Interfaces:
  Closeable, ConnectionEndpoint

public class ConnectionAdvised
extends AdvisedSupport
implements ConnectionEndpoint

The server-side advised instance corresponding to a Connection. It is bound to the AOP Dispatcher's map.

Version:
  `$Revision: 1.7 $` $Id: ConnectionAdvised.java,v 1.7 2006/05/23 18:25:08 ovidiu Exp $
Author:
  Tim Fox, Ovidiu Feodorov

Field Summary
`protected ConnectionEndpoint` | `endpoint`

Constructor Summary
`ConnectionAdvised(ConnectionEndpoint endpoint)`

Method Summary
`void` | `close()` Close the instance
`void` | `closing()` Tell the instance to prepare to close
`SessionDelegate` | `createSessionDelegate(boolean transacted, int acknowledgmentMode, boolean isXA)`
`java.lang.String` | `getClientID()`
`java.lang.Object` | `getEndpoint()`
`javax.transaction.xa.Xid[]` | `getPreparedTransactions()`
`void` | `sendTransaction(TransactionRequest request)`
`void` | `setClientID(java.lang.String id)`
`void` | `start()`
`void` | `stop()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected ConnectionEndpoint endpoint

Constructor Detail

### ConnectionAdvised

    public ConnectionAdvised(ConnectionEndpoint endpoint)

Method Detail

### close

    public void close()
               throws JMSException

  Description copied from interface: `Closeable`
  Close the instance

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### createSessionDelegate

    public SessionDelegate createSessionDelegate(boolean transacted,
                                                 int acknowledgmentMode,
                                                 boolean isXA)
                                          throws JMSException

  Specified by:
    `createSessionDelegate` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getClientID

    public java.lang.String getClientID()
                                 throws JMSException

  Specified by:
    `getClientID` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String id)
                     throws JMSException

  Specified by:
    `setClientID` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  Specified by:
    `start` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Specified by:
    `stop` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### sendTransaction

    public void sendTransaction(TransactionRequest request)
                         throws JMSException

  Specified by:
    `sendTransaction` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getPreparedTransactions

    public javax.transaction.xa.Xid[] getPreparedTransactions()

  Specified by:
    `getPreparedTransactions` in interface `ConnectionEndpoint`

### getEndpoint

    public java.lang.Object getEndpoint()

  Specified by:
    `getEndpoint` in class `AdvisedSupport`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.